## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeTextAllocator Class Reference

`#include <XalanSourceTreeTextAllocator.hpp>`

Collaboration diagram for XalanSourceTreeTextAllocator:

List of all members.

## Public Types

- typedef XalanSourceTreeText ObjectType
- typedef ObjectType::IndexType IndexType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanSourceTreeTextAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanSourceTreeTextAllocator ()
- ObjectType* create ( const XalanDOMString& theData, XalanNode* theParentNode = 0, XalanNode* thePreviousSibling = 0, XalanNode* theNextSibling = 0, IndexType theIndex = 0)
    Create an instance. More...
- void reset ()
    Delete all objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator<ObjectType> XalanSourceTreeTextAllocator::ArenaAllocatorType

typedef ObjectType::IndexType XalanSourceTreeTextAllocator::IndexType

typedef XalanSourceTreeText XalanSourceTreeTextAllocator::ObjectType

typedef ArenaAllocatorType::size_type XalanSourceTreeTextAllocator::size_type

## Constructor & Destructor Documentation

XalanSourceTreeTextAllocator::XalanSourceTreeTextAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanSourceTreeTextAllocator::~XalanSourceTreeTextAllocator ( | )

## Member Function Documentation

ObjectType * XalanSourceTreeTextAllocator::create ( | const XalanDOMString & theData,
| XalanNode * theParentNode = 0,
| XalanNode * thePreviousSibling = 0,
| XalanNode * theNextSibling = 0,
| IndexType theIndex = 0 )

Create an instance.

Parameters:

  theData | The data for the node
  theParentNode | The parent node, if any.
  thePreviousSibling | The next sibling, if any.
  theNextSibling | The next sibling, if any.
  theIndex | The document-order index of the node.

Returns:
  pointer to the instance

size_type XalanSourceTreeTextAllocator::getBlockCount ( | ) const`[]`

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XalanSourceTreeTextAllocator::getBlockSize ( | ) const`[]`

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XalanSourceTreeTextAllocator::reset ( | )

Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XalanSourceTreeTextAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.